> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Shares

> A `GET` to the `/shares` endpoint allows your application to retrieve all shares.



## OpenAPI

````yaml get /v3/shares
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/shares:
    get:
      tags:
        - Share
      summary: Browse Shares
      description: >-
        A `GET` to the `/shares` endpoint allows your application to retrieve
        all shares.
      operationId: shares.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `Share`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Share'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Share:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        source_type:
          type: string
        source_id:
          type: integer
        handle:
          type: string
        code:
          type:
            - string
            - 'null'
        timezone:
          type:
            - string
            - 'null'
        period:
          type:
            - integer
            - 'null'
        period_type:
          type:
            - string
            - 'null'
        absolute_expiry:
          type:
            - string
            - 'null'
        expires_at:
          type: string
        quantity:
          type: integer
        remaining_quantity:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_cloneable:
          type: boolean
        source:
          type: object
          additionalProperties:
            type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - source_type
        - source_id
        - handle
        - code
        - timezone
        - period
        - period_type
        - absolute_expiry
        - expires_at
        - quantity
        - remaining_quantity
        - meta
        - is_cloneable
        - source
        - created_at
        - updated_at
      title: Share
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````